Package Details: httm 0.38.0-1

Git Clone URL: https://aur.archlinux.org/httm.git (read-only, click to copy)
Package Base: httm
Description: Prints the size, date and locations of available unique versions (deduplicated by modify time and size) of files residing on ZFS or BTRFS snapshots.
Upstream URL: https://github.com/kimono-koans/httm
Licenses: MPL-2.0
Conflicts: httm-bin, httm-git
Submitter: xgjmibzr
Maintainer: xgjmibzr
Last Packager: xgjmibzr
Votes: 2
Popularity: 0.41
First Submitted: 2022-06-08 23:37 (UTC)
Last Updated: 2024-04-11 03:10 (UTC)

Dependencies (5)

Required by (0)

Sources (1)

Latest Comments

xgjmibzr commented on 2023-10-01 18:12 (UTC)

@498et498et I am unable to replicate the error on both of my computers, with a clean build environment.

Are you using an AUR helper or the raw makepkg?

498et498et commented on 2023-10-01 12:19 (UTC)

Build fails:

==> WARNING: Skipping verification of source file PGP signatures. ==> Validating source files with sha512sums... httm-0.30.1.tar.gz ... Passed :: (1/1) Parsing SRCINFO: httm ==> Making package: httm 0.30.1-1 (Sun 01 Oct 2023 13:15:54 BST) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Found httm-0.30.1.tar.gz ==> Validating source files with sha512sums... httm-0.30.1.tar.gz ... Passed ==> Removing existing $srcdir/ directory... ==> Extracting sources... -> Extracting httm-0.30.1.tar.gz with bsdtar ==> Starting prepare()... Updating git repository https://github.com/kimono-koans/timer.rs Updating crates.io index Downloaded memoffset v0.8.0 Downloaded time-core v0.1.1 Downloaded partition-identity v0.3.0 Downloaded ident_case v1.0.1 Downloaded number_prefix v0.4.0 Downloaded shlex v1.1.0 Downloaded num_threads v0.1.6 Downloaded atty v0.2.14 Downloaded darling_macro v0.14.4 Downloaded num_cpus v1.15.0 Downloaded derive_builder_macro v0.12.0 Downloaded terminal_size v0.2.6 Downloaded clap_lex v0.2.4 Downloaded defer-drop v1.3.0 Downloaded dirs-next v2.0.0 Downloaded thread_local v1.1.7 Downloaded humantime v2.1.0 Downloaded either v1.8.1 Downloaded darling v0.14.4 Downloaded proc-mounts v0.3.0 Downloaded lscolors v0.15.0 Downloaded iana-time-zone v0.1.56 Downloaded dirs-sys-next v0.1.2 Downloaded time-macros v0.2.9 Downloaded os_str_bytes v6.4.1 Downloaded which v4.4.0 Downloaded derive_builder_core v0.12.0 Downloaded termcolor v1.2.0 Downloaded thiserror v1.0.39 Downloaded nu-ansi-term v0.49.0 Downloaded env_logger v0.10.0 Downloaded derive_builder v0.12.0 Downloaded once_cell v1.17.1 Downloaded num-integer v0.1.45 Downloaded term v0.7.0 Downloaded tuikit v0.5.0 Downloaded quote v1.0.26 Downloaded crossbeam-deque v0.8.3 Downloaded xattr v1.0.0 Downloaded console v0.15.5 Downloaded proc-macro2 v1.0.52 Downloaded crossbeam-epoch v0.9.14 Downloaded log v0.4.17 Downloaded indexmap v1.9.2 Downloaded darling_core v0.14.4 Downloaded indicatif v0.17.3 Downloaded num-traits v0.2.15 Downloaded unicode-ident v1.0.8 Downloaded textwrap v0.16.0 Downloaded uuid v1.3.0 Downloaded rayon-core v1.11.0 Downloaded serde v1.0.163 Downloaded portable-atomic v0.3.19 Downloaded hashbrown v0.14.0 Downloaded time v0.3.21 Downloaded rayon v1.7.0 Downloaded chrono v0.4.24 Downloaded aho-corasick v1.0.1 Downloaded clap v3.2.25 Downloaded syn v1.0.109 Downloaded rustix v0.37.7 Downloaded nix v0.27.1 Downloaded regex-syntax v0.7.2 Downloaded fuzzy-muff v0.3.10 Downloaded thiserror-impl v1.0.39 Downloaded libc v0.2.147 Downloaded two_percent v0.10.19 Downloaded io-lifetimes v1.0.7 Downloaded exacl v0.10.0 Downloaded regex v1.8.2 Downloaded 70 crates (4.8 MB) in 4.37s ==> Sources are ready. ==> Making package: httm 0.30.1-1 (Sun 01 Oct 2023 13:16:10 BST) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> WARNING: Using existing $srcdir/ tree ==> Starting build()... Compiling libc v0.2.147 Compiling autocfg v1.1.0 Compiling cfg-if v1.0.0 Compiling proc-macro2 v1.0.52 Compiling quote v1.0.26 Compiling unicode-ident v1.0.8 Compiling syn v1.0.109 Compiling bitflags v1.3.2 Compiling crossbeam-utils v0.8.15 Compiling io-lifetimes v1.0.7 Compiling once_cell v1.17.1 Compiling strsim v0.10.0 Compiling fnv v1.0.7 Compiling ident_case v1.0.1 Compiling scopeguard v1.1.0 Compiling rustix v0.37.7 Compiling memchr v2.5.0 Compiling log v0.4.17 Compiling linux-raw-sys v0.3.8 Compiling rayon-core v1.11.0 Compiling lazy_static v1.4.0 Compiling hashbrown v0.12.3 Compiling thiserror v1.0.39 Compiling version_check v0.9.4 Compiling either v1.8.1 Compiling termcolor v1.2.0 Compiling itoa v1.0.6 Compiling os_str_bytes v6.4.1 Compiling serde v1.0.163 Compiling crossbeam-channel v0.5.8 Compiling portable-atomic v0.3.19 Compiling regex-syntax v0.7.2 Compiling iana-time-zone v0.1.56 Compiling clap_lex v0.2.4 Compiling thread_local v1.1.7 Compiling serde_json v1.0.96 Compiling aho-corasick v1.0.1 error[E0635]: unknown feature proc_macro_span_shrink --> /home/REDACTED/.cargo/registry/src/index.crates.io-6f17d22bba15001f/proc-macro2-1.0.52/src/lib.rs:92:30 | 92 | feature(proc_macro_span, proc_macro_span_shrink) | ^^^^^^^^^^^^^^^^^^^^^^

Compiling ahash v0.8.3 Compiling memoffset v0.8.0 For more information about this error, try rustc --explain E0635. error: could not compile proc-macro2 (lib) due to previous error warning: build failed, waiting for other jobs to finish... ==> ERROR: A failure occurred in build(). Aborting... -> error making: httm-exit status 4 -> Failed to install the following packages. Manual intervention is required: httm - exit status 4

xgjmibzr commented on 2023-04-06 02:33 (UTC)

@qubibt, you're right, and I wasn't really tracking down what was needed. Just pushed an update, pulling from the source GitHub.

Thanks for the push.

qubidt commented on 2023-04-05 20:48 (UTC)

The .install file says "This package is frozen at 0.25.5 due to source not pushed to crates.io". As of right now that is not true (0.25.9 is on crates.io), but even if it were, there's no requirement that this package has to pull from crates.io. In fact, all the rust packages in the official repos (AFAIK) pull the source archive from github directly. If the upstream has published a release on github, there's no justification for holding back this package.

kleintux commented on 2022-06-15 18:58 (UTC)

Don't use the groups flag https://wiki.archlinux.org/title/Meta_package_and_package_group#Difference_between_meta_package_and_package_group The 'cd -' are not needed. thx and cheers